CREATE procedure [C6StagingPeriodico].[RP_ST_AnEmittente_originale] as
begin 
	-- Log esecuzione
	INSERT INTO LOG_ESECUZIONE
		(Nome, Inizio, Nota)
	VALUES (
		'RP_ST_AnEmittente',
		GETDATE(),
		'Elaborazione Trimestrale'
	)
	truncate table C6StagingPeriodico.RP_AnEmittente
	insert into C6StagingPeriodico.RP_AnEmittente
	select *  from [CONSEVO_PERIODICO].CatalogoProdotti.dbo.AnEmittente
	-- Log esecuzione
	UPDATE
		LOG_ESECUZIONE
	SET
		Fine = GETDATE(),
		Tipo = 'INSERT',
		Righe = @@ROWCOUNT
	WHERE
		Nome = 'RP_ST_AnEmittente' AND
		Inizio = (
			SELECT
				MAX(Inizio)
			FROM
				LOG_ESECUZIONE
			WHERE
				Nome = 'RP_ST_AnEmittente'
		)
end